import request from '@/utils/request'

// 查询MmAlarmLog列表
export function listMmAlarmLog(query) {
    return request({
        url: '/api/v1/mm-alarm-log',
        method: 'get',
        params: query
    })
}

// 查询MmAlarmLog详细
export function getMmAlarmLog (id) {
    return request({
        url: '/api/v1/mm-alarm-log/' + id,
        method: 'get'
    })
}


// 新增MmAlarmLog
export function addMmAlarmLog(data) {
    return request({
        url: '/api/v1/mm-alarm-log',
        method: 'post',
        data: data
    })
}

// 修改MmAlarmLog
export function updateMmAlarmLog(data) {
    return request({
        url: '/api/v1/mm-alarm-log/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MmAlarmLog
export function delMmAlarmLog(data) {
    return request({
        url: '/api/v1/mm-alarm-log',
        method: 'delete',
        data: data
    })
}

// 清空MmAlarmLog
export function clearAllAlarmLog() {
    return request({
        url: '/api/v1/mm-alarm-log/clear-all',
        method: 'delete'
    })
}

//导出告警记录
export function exportMmAlarmLog(query) {
    return request({
        url: '/api/v1/mm-alarm-log/export',
        method: 'get',
        params: query,
        responseType: 'blob',
    })
}
